Subject: Re: linux-next: manual merge of the pm tree with the dmi tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 4 Sep 2017 14:38:22 +1000

Hi all,

On Mon, 7 Aug 2017 11:40:33 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the pm tree got a conflict in:
> 
>   drivers/acpi/sbs.c
> 
> between commit:
> 
>   f996c4155d0d ("dmi: Mark all struct dmi_system_id instances const")
> 
> from the dmi tree and commit:
> 
>   630b3aff8a51 ("treewide: Consolidate Apple DMI checks")
> 
> from the pm tree.
> 
> I fixed it up (the latter removed the declaration updated by the former)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Just a reminder that the above conflict still exists.
-- 
Cheers,
Stephen Rothwell